import { GetBoardParams, GetFileMetadataParams, GetForumParams, GetOnlineUsersParams, GetPostParams, GetPostVotesParams, GetRecentParams, GetRespectParams, GetSubscriptionsParams, GetTopicsParams, GetUsersParams, MethodType, Options } from './types';
declare class MybbSDK {
    private readonly originalHost;
    private readonly path;
    private readonly format;
    private readonly charset;
    private hostname;
    private protocol;
    private token;
    private hash;
    constructor(host: string | undefined, options?: Options);
    init(): void;
    parseUrl(url: string | undefined): void;
    setToken(token: string): this;
    withHash(hash: string): this;
    getBoard(params?: GetBoardParams): Promise<any>;
    getForums(params?: GetForumParams): Promise<any>;
    getFunds(): Promise<any>;
    getSubscriptions(params: GetSubscriptionsParams): Promise<any>;
    getFileMetadata(params: GetFileMetadataParams): Promise<any>;
    auth(login: string, password: string): Promise<any>;
    getUsers(params: GetUsersParams): Promise<any>;
    getOnlineUsers(params?: GetOnlineUsersParams): Promise<any>;
    getRespect(params?: GetRespectParams): Promise<any>;
    getTopics(params: GetTopicsParams): Promise<any>;
    getRecent(params?: GetRecentParams): Promise<any>;
    getPosts(params?: GetPostParams): Promise<any>;
    getPostVotes(params?: GetPostVotesParams): Promise<any>;
    storageSet(key: string, value: string, action?: 'append' | 'prepend'): Promise<any>;
    storageGet(key: string): Promise<any>;
    storageKeys(): Promise<any>;
    storageDelete(key: string): Promise<any>;
    storageFlush(): Promise<any>;
    call(method: MethodType, params?: Record<string, any>, successCallback?: (response: any) => ({}), errorCallback?: (error: any) => ({})): Promise<any>;
    request(requestObject: Record<string, any>, requestParams: Record<string, any>): Promise<any>;
}
export default MybbSDK;
